%define oname epplets

Summary:          Epplets for Enlightenment, DR16
Name:             e16-epplets
Version:          0.14
Release:          1%{?dist}
License:          MIT with advertising and GPL+ and GPLv2+
Group:            User Interface/Desktops
URL:              http://www.enlightenment.org/
Source0:          http://downloads.sourceforge.net/enlightenment/epplets-%{version}.tar.gz
BuildRequires:    imlib2-devel mesa-libGLU-devel freeglut-devel 
Requires:         e16 >= 0.16.8
Requires(postun): /sbin/ldconfig
Requires(post):   /sbin/ldconfig
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Epplets are small, handy Enlightenment applets, similar to dockapps or
applets for other packages.  The epplets package contains the base
epplet API library and header files, as well as the core set of
epplets, including CPU monitors, clocks, a mail checker, mixers, a
slideshow, a URL grabber, a panel-like toolbar, and more.

%package devel
Summary:  Development tools for epplets
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files and libs
for developing epplets for Enlightenment, DR16

%prep
%setup -q -n %{oname}-%{version}

%build
%{__sed} -i -e 's/-rpath $(libdir)//' epplets/Makefile.in
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__install} -d %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/%{oname}" > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{oname}-%{_arch}.conf
%{__rm} -f %{buildroot}%{_libdir}/libepplet{,_glx}.{a,la}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc ChangeLog 
%{_libdir}/libepplet.so.*
%{_libdir}/libepplet_glx.so.*
%{_bindir}/E*.epplet
%{_datadir}/e16/epplet_icons
%{_datadir}/e16/epplet_data
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/%{oname}-%{_arch}.conf

%files devel
%defattr(-, root, root, -)
%{_includedir}/epplet.h
%{_libdir}/libepplet.so
%{_libdir}/libepplet_glx.so

%changelog
* Mon Nov 19 2012 Terje Rosten <terjeros@phys.ntnu.no> - 0.14-1
- 0.14

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 14 2010 Terje Rosten <terjeros@phys.ntnu.no> - 0.12-4
- Add DSO patch

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan  8 2009 Terje Rosten <terjeros@phys.ntnu.no> - 0.12-1
- 0.12

* Sat Dec 27 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.10-4
- Use Dejavu fonts

* Tue Apr 15 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.10-3
- Remove .{a,la} files
- Remove post requires
- Add mesa-libGLU-devel and freeglut-devel to build req

* Tue Mar 27 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.10-2
- Fix license

* Mon Aug 20 2007 Terje Rosten <terjeros@phys.ntnu.no> - 0.10-1
- Initial build (based on upstream spec, thanks!)
